%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-burrito
Version:             0.2.12
Release:             2
Summary:             Wrap up expressions with a trace function while walking the AST
License:             BSD-3-Clause
URL:                 https://github.com/substack/node-burrito
Source0:             https://registry.npmjs.org/burrito/-/burrito-%{version}.tgz
Source1:             https://raw.github.com/substack/lambdascape/master/LICENSE
BuildArch:           noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tap)
%endif

%description
Burrito makes it easy to do crazy stuff with the JavaScript AST.
This is useful if you want to roll your own stack traces or build a code
coverage tool.

%prep
%setup -q -n package
%nodejs_fixdep uglify-js '~1.3.4'
%nodejs_fixdep traverse '~0.6.3'
cp -p %{SOURCE1} LICENSE

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/burrito
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/burrito
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%files
%{nodejs_sitelib}/burrito
%doc README.markdown example
%license  LICENSE

%changelog
* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 0.2.12-2
- License compliance rectification

* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 0.2.12-1
- Package init
